import { __decorate } from "tslib";
import { Component } from 'vue-property-decorator';
import { getControl, createNode } from 'handie-vue';
import { RelationFilterHeadlessWidget } from 'handie-vue/dist/widgets';
let SelectEditM2oFilterWidget = class SelectEditM2oFilterWidget extends RelationFilterHeadlessWidget {
    constructor() {
        super(...arguments);
        this.options = [];
    }
    render(h) {
        const children = this.options.map(opt => createNode(h, 'Option', {
            props: { label: opt[this.labelKey], value: opt[this.valueKey] },
        }));
        children.unshift(createNode(h, 'Option', { props: { label: '全部', value: '' } }));
        return h(getControl('Select'), {
            props: { value: this.internalValue, placeholder: this.getPlaceholder() },
            on: { change: this.onChange },
        }, children);
    }
    created() {
        this.fetchRelatedList({}, data => (this.options = data));
    }
};
SelectEditM2oFilterWidget = __decorate([
    Component
], SelectEditM2oFilterWidget);
export default SelectEditM2oFilterWidget;
